Resolve Insight Incident
Resolve the incident manually. Resolving an already resolved incident is a no-op that returns it unchanged.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
incident_id*Incident Id
Format
uuidQuery Parameters
org_id*Org Id
Format
uuidverify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X POST "https://example.com/v1/insights/incidents/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve?org_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5", "dimension": "string", "source": "string", "detector": "string", "rule_id": "728c1541-d6d1-4290-9a53-cdf01dd32d60", "metric": "string", "windows": {}, "peak": 0, "status": "string", "resolution_reason": "string", "opened_at": "2019-08-24T14:15:22Z", "acknowledged_by_id": "3bcc03b0-68e9-4306-890e-0f1ac4dc2d55", "acknowledged_at": "2019-08-24T14:15:22Z", "resolved_by_id": "8c2bfbd3-10ea-458d-a53c-01db74ea305e", "resolved_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}